/* POPUP */
.popup {
    position: fixed;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    background: var(--color-primary);
    padding: 15px;
    border-radius: 20px;
    z-index: 99;
    text-align: center;
	color: #ffffff;
	box-shadow:
  0 8px 20px rgba(0, 0, 0, 0.08),
  0 20px 50px rgba(0, 0, 0, 0.06),
  0 40px 100px rgba(0, 0, 0, 0.04);
}

.hidden {
  display: none;
}

/* OVERLAY (default hidden!) */
.overlay_wish {
  display: none;
  position: fixed;
  inset: 0;
  background: var(--color-bg-hero);
  color: white;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  z-index: 2000;
	cursor: url("https://cdn.prod.website-files.com/6708f85ff3d3cba6aff436fb/671251b239d7aeb290a31ac5_cursor-default%402x.svg")
      2 0,
    auto;
}

.overlay_wish.active {
  display: flex;
}

.wish {
  margin-top: 20px;
  display: none;
}

.wish.show {
  display: block;
}
/* CLOSE */
.close {
  position: absolute;
  top: 20px;
  right: 20px;
	cursor: url("https://cdn.prod.website-files.com/6708f85ff3d3cba6aff436fb/671251b212e6b71494aa67ff_cursor-pointer%402x.svg")
      12 0,
    pointer;
}

/* Základné tlačidlo */
.jelly-btn {
    position: relative;
	isolation: isolate;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 14px 32px;
    /* Reset default button styles */
    appearance: none;
    -webkit-appearance: none;
    border: none;
    outline: none;
    background: transparent;
    border-radius: 9999px;
    overflow: visible;
    color: #ffffff;
    font-size: 16px;
    font-weight: 600;
    font-family: inherit;
    margin-left: 5px;
    margin-right: 5px;
}

/* Text zostáva úplne statický */
.jelly-btn span {
  position: relative;
  z-index: 2;
  display: inline-block;
}

/* Pozadie tlačidla */
.jelly-btn::before {
  content: "";
  position: absolute;
  inset: 0;
  border-radius: inherit;
  z-index: -1;
  transform-origin: center center;
  will-change: transform;

  /* Počiatočný stav */
  transform: scale(1, 1);

  /* Pri zmene z hover -> normal sa spustí táto animácia */
  transition: none;
  background: var(--color-dark);
}

/* Pri hover sa spustí jelly animácia smerom na 1.05 */
.jelly-btn:hover::before {
  animation: jelly-grow 0.5s ease forwards;
}

/* Keď kurzor odíde, hover sa zruší a použije sa táto animácia späť na 1 */
.jelly-btn:not(:hover)::before {
  animation: jelly-shrink 0.5s ease forwards;
}

/* Základné tlačidlo */
.jelly-btn_lang {
    position: relative;
	isolation: isolate;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 14px 32px;
    /* Reset default button styles */
    appearance: none;
    -webkit-appearance: none;
    border: none;
    outline: none;
    background: transparent;
    border-radius: 9999px;
    overflow: visible;
    color: var(--color-dark);
    font-size: 16px;
    font-weight: 600;
    font-family: inherit;
    margin-left: 5px;
    margin-right: 5px;
}

/* Text zostáva úplne statický */
.jelly-btn_lang span {
  position: relative;
  z-index: 2;
  display: inline-block;
}

/* Pozadie tlačidla */
.jelly-btn_lang::before {
  content: "";
  position: absolute;
  inset: 0;
  border-radius: inherit;
  z-index: -1;
  transform-origin: center center;
  will-change: transform;

  /* Počiatočný stav */
  transform: scale(1, 1);

  /* Pri zmene z hover -> normal sa spustí táto animácia */
  transition: none;
  background: transparent;
}

/* Pri hover sa spustí jelly animácia smerom na 1.05 */
.jelly-btn_lang:hover::before {
  animation: jelly-grow 0.5s ease forwards;
}

/* Keď kurzor odíde, hover sa zruší a použije sa táto animácia späť na 1 */
.jelly-btn_lang:not(:hover)::before {
  animation: jelly-shrink 0.5s ease forwards;
}


/* Jelly animácia smerom hore */
@keyframes jelly-grow {
  0%   { transform: scale(1, 1); }
  30%  { transform: scale(1.02, 1.02); }
  40%  { transform: scale(1.02, 1.02); }
  55%  { transform: scale(1.05, 1.02); }
  70%  { transform: scale(1.07, 1.02); }
  85%  { transform: scale(1.04, 1.04); }
  100% { transform: scale(1.07, 1.04); }
}

/* Jelly animácia späť do pôvodného stavu */
@keyframes jelly-shrink {
  0%   { transform: scale(1.07, 1.02); }
  30%  { transform: scale(1.05, 1.02); }
  40%  { transform: scale(1.04, 1.02); }
  55%  { transform: scale(1.03, 1.02); }
  70%  { transform: scale(1.02, 1.02); }
  85%  { transform: scale(0.96, 0.98); }
  100% { transform: scale(1, 1); }
}